Name:           rtklib
Version:        2.4.2
Release:        2%{?dist}
Summary:        RTKLIB: An Open Source Program Package for GNSS Positioning
Group:          System Environment/Libraries

License:        BSD
URL:            http://www.rtklib.com/
Source0:        http://www.rtklib.com/prog/%{name}_%{version}.zip
Patch0:         rtklib.patch
Patch1:         rtklib-symrename.patch

BuildRequires:  blas-devel
BuildRequires:  lapack-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
#Requires:       

%description
RTKLIB is an open source program package for standard and precise
positioning with GNSS (global navigation satellite system). RTKLIB
consists of a portable program library and several APs (application
programs) utilizing the library. The features of RTKLIB are:

(1) It supports standard and precise positioning algorithms with:

    GPS, GLONASS, Galileo, QZSS, BeiDou and SBAS

(2) It supports various positioning modes with GNSS for both real-time
    and post-processing:

    Single, DGPS/DGNSS, Kinematic, Static, Moving-Baseline, Fixed,
    PPP-Kinematic, PPP-Staticand PPP-Fixed

(3) It supports many standard formats and protocols for GNSS:

    RINEX 2.10, 2.11, 2.12 OBS/NAV/GNAV/HNAV/LNAV/QNAV, RINEX 3.00,
    3.01, 3.02 OBS/NAV, RINEX 3.02 CLK, RTCM ver.2.3, RTCM ver.3.1
    (with amendment 1-5), ver.3.2, BINEX, NTRIP 1.0, RTCA/DO-229C,
    NMEA 0183, SP3-c, ANTEX 1.4, IONEX 1.0, NGS PCV and EMS 2.0 (refer
    the Manual for details)

(4) It supports several GNSS receivers' proprietary messages:

    NovAtel: OEM4/V/6, OEM3, OEMStar, Superstar II, Hemisphere:
    Eclipse, Crescent, u-blox: LEA-4T/5T/6T, SkyTraq: S1315F, JAVAD:
    GRIL/GREIS, Furuno: GW-10 II/III and NVS NV08C BINR (refer the
    Manual for details)

(6) It supports external communication via:

    Serial, TCP/IP, NTRIP, local log file (record and playback) and
    FTP/HTTP (automatic download)

(7) It provides many library functions and APIs for GNSS data processing:

    Satellite and navigation system functions, matrix and vector
    functions, time and string functions, coordinates transformation,
    input and output functions, debug trace functions, platform
    dependent functions, positioning models, atmosphere models,
    antenna models, earth tides models, geoid models, datum
    transformation, RINEX functions, ephemeris and clock functions,
    precise ephemeris and clock functions, receiver raw data
    functions, RTCM functions, solution functions, Google Earth KML
    converter, SBAS functions, options functions, stream data input
    and output functions, integer ambiguity resolution, standard
    positioning, precise positioning, post-processing positioning,
    stream server functions, RTK server functions, downloader
    functions

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tools
Summary:        Tools distributed with %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains the tools distributed with %{name}.


%prep
%setup -q -n %{name}_%{version}
%patch0 -p0 -b .x
%patch1 -p1 -b .symren
touch NEWS ChangeLog
mkdir m4
aclocal -Im4
autoheader
libtoolize -f -c
autoconf
automake -a -c

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc readme.txt doc/manual_2.4.2.pdf doc/relnote_2.4.2.htm
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rtklib.pc

%files tools
%{_bindir}/convbin
%{_bindir}/pos2kml
%{_bindir}/rnx2rtkp
%{_bindir}/rtkrcv
%{_bindir}/str2str

%changelog
* Sun Jun 12 2016 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.4.2-1
- initial package
